
%#define PWRPC_MT_ON_CALL PWRPC_ONC_MT

const MAXLEN = 256;

struct comp_profile {
    double earning;
	double pe;
	double mkt_cap;
     struct comp_profile * next;
};

struct quoteRec {
    string company_name<MAXLEN>;
	double bid;
	double ask;
	unsigned long volume;
	char trend;
	struct comp_profile * prof;
};

typedef struct quoteRec * pRec;

struct stockOrder{
      char tick[8];
	  char trade_type;
	  unsigned long quantity;
};

program quote {
     version quote_v1 {
        quoteRec  get_quote(string)= 1;
        int     trade(stockOrder)=2;
		pRec    ping(void)=3;
    }=2;
}=22222;
	          