#include <rpc/rpc.h>
#include <powerrpc.h>
#include "msg.h"
#define _RPCAPI MSGSERVAPI
#define MSGSERVAPI __declspec(dllexport)

/* Default timeout can be changed using clnt_control() */
static struct timeval PWRPC_TIMEOUT_DEF = { 25, 0 };

int *
sendmsg_1(argp, clnt)
	char **argp;
	CLIENT *clnt;
{

#ifdef PWRPC_MT
	_declspec(thread)
#endif
	static int res;

	bzero((char *)&res, sizeof(res));
	if (clnt_call(clnt, sendmsg, xdr_wrapstring, argp, xdr_int, &res, PWRPC_TIMEOUT) != RPC_SUCCESS) {
		return (NULL);
	}
	return (&res);
}

