#include <stdio.h>

#include <rpc/rpc.h>
#include <math.h>
#include <powerrpc.h>

#define RPC_CLIENT
#include "msg.h"

main(int argc, char*argv[])

{
	CLIENT *cl, *cl2;
	int i, j;
	char *rep=0;
	int ret;
	char*msg="hello";
	int ints_in[8], ints_out[8], *ints_ptr;
	WSAEVENT eve[2]; DWORD d;
	struct timeval tmout = { 25, 0 };
	struct timeval tmout2 = { 60, 0 };
	int t0, t1;
	int loop_cnt =10000;
	double dv = 1.5*1.5;
	int i_res=0;
	char * host = argc>1?argv[1]: "localhost";

	
/*
	
	
	cl = pw_clnt_create("localhost", MSGSERV_V1_tcp_server_port, MSGSERV, MSGSERV_V1, "tcp",0,0);
	
*/
	cl = clnt_create(host, MSGSERV, MSGSERV_V1, "tcp");

	
	
	if (cl == NULL) {
		clnt_pcreateerror(argv[1]);
		exit (1);
	}else {
		printf("Connected to server 1\n");
	}

#if 0

	
    clnt_control(cl, CLSET_TIMEOUT, (char*)&tmout2);


	printf("Making second connection\n");

	cl2 = pw_clnt_create("localhost", MSGSERV_V1_tcp_server_port, MSGSERV, MSGSERV_V1, "tcp",0,0);



	/* send the calls to server and return immediately */
	printf("making first async call, store the Event object\n");

	eve[0]= tcp_async_call(cl, sendmsg, (xdrproc_t)xdr_wrapstring, (caddr_t)&msg);

	printf("making second async call, sever will reply in two seconds\n");

	/* note, one can't have two pending async calls on the same client handle */

	eve[1]= tcp_async_call(cl2, sendmsg, (xdrproc_t)xdr_wrapstring, (caddr_t)&msg);
	
	/* now we wait on the returned event objects */
	/* no docs? true programmers will figure it out themselves */

	printf("now we wait for the events (for both calls to return)\n");

	d = WSAWaitForMultipleEvents(2, eve, 1, WSA_INFINITE, 0);
	printf("Getting result for event %d\n", d);
	ret = tcp_async_call_getresult(cl, (xdrproc_t)xdr_wrapstring, (char*)&rep, tmout);
	if(ret) {
		printf("Error: "); clnt_perrno( ret); printf("\n");
	}
    printf("Got async reply: %d, %s\n", d, rep);
	WSACloseEvent(eve[0]);
	ret = tcp_async_call_getresult(cl2, (xdrproc_t)xdr_wrapstring, (char*)&rep, tmout);
    printf("Got async reply from second connection: %d, %s\n", d, rep);
	WSACloseEvent(eve[1]);

	Sleep(5000);


#endif
 

	t0 = time(0);
	for(i=0; i< loop_cnt; i++){
#ifndef RPC_RETURN_ARG
		printf("calling rpc using one arg form, return pointer\n");
		rep = *sendmsg_1(&msg, cl);
		printf("Got reply: %s.\n", rep);
	
#else
		//printf("calling rpc using two arg form, return status, pass back by arg\n");
		ret= sendmsg_1( &msg, &rep, cl);
		//printf("Return code = %d, Got reply: %s.\n", ret, rep);
#endif
	
	}
	t1 = time(0);
	printf("Total calls %d, total time= %d, average calls per second = %f\n", loop_cnt, t1-t0, (float)loop_cnt/(t1-t0));
	exit(0);

	for(i=0; i< 2; i++){
		for(j=0; j<8; j++) ints_in[j]=i+j;

#ifndef RPC_RETURN_ARG
		printf("calling rpc using one arg form, return pointer\n");
		ints_ptr = sendintegers_1(ints_in, cl);
		printf("Got reply: ", );
		
#else
		printf("calling rpc using two arg form, sending %f\n", dv);
		Sleep(5000);
		ret= send_double_1(&dv, &i_res, cl);
		printf("Return code = %d, get  %d\n", ret, i_res);

		printf("calling rpc using two arg form, return status, pass back by arg\n");
		ret= sendintegers_1(ints_in, ints_out, cl);
		printf("Return code = %d, get numbers ", ret);

	
		ints_ptr = ints_out;
#endif
		for(j=0;j<8; j++) printf("%d ", ints_ptr[j]);
		printf("\n");
	
	}
	Sleep(10000);
	
	
	clnt_destroy(cl);
	clnt_destroy(cl2);
	return 0;
}


