/* RPC server implementation */

#include <rpc/rpc.h>
#undef RPC_CLIENT
#include "MyRPCService.h"
#include <stdio.h>

aType*
function_foo_1_svc(int * pi, struct svc_req *rqstp){
	/*must be static, as we will return its address */
	static aType atype; 
	printf("Received rpc call from %s, param = %d\n", inet_ntoa(rqstp->rq_xprt->xp_raddr.sin_addr), *pi);
	atype.i = *pi;
	atype.d = *pi;
	return &atype; /* notice, we return pointer here */

}


int*
function_bar_1_svc(aType * pa, struct svc_req *rqstp){
	/*must be static, as we will return its address */
	static int i;
	printf("Received rpc call from %s, param = {%d, %f)\n", inet_ntoa(rqstp->rq_xprt->xp_raddr.sin_addr), pa->i, pa->d);
	i = pa->d + pa->i; /* some meaningless operation */
	return &i;
}

