#include <stdio.h>
#include <rpc/rpc.h>

/* we must define RPC_CLIENT in the client */
#define RPC_CLIENT

#include "MyRPCService.h"

int main(int argc, char*argv[])
{
	CLIENT *cl;
	int i=100, *pi=NULL;
	aType atype, *pa=NULL;
	
	cl = clnt_create("localhost", MyRPCService, ThisVersion, "udp");
	
	if (cl == NULL) {
		clnt_pcreateerror(argv[1]);
		exit (1);
	}

	pa = function_foo_1(&i, cl);
	printf("Got reply {%d, %f}\n", pa->i, pa->d);

	pi = function_bar_1(pa, cl);
	printf ("Got reply %d\n", *pi);
	xdr_free(xdr_aType, (char*) pa);
	clnt_destroy(cl);
	return 0;
}


