#include <stdio.h>
#include <rpc/rpc.h>
#include "quote.h"

//_declspec(thread) volatile

static struct quoteRec q; /* not thread safe */

char cmp_name[256];
struct comp_profile prof={1.0,100.0,1000.0};

int qty=0;
volatile int cnt=1;

struct quoteRec* get_quote_2_svc(char**tick) {

	printf("Got tick =%s, my thread id=%d\n", *tick, GetCurrentThreadId());
	q.company_name = cmp_name; /*must give space */
	sprintf(q.company_name, "%s Inc", *tick);
	q.bid = 100 +cnt*0.01;
	q.ask = 101+cnt*0.01;
	q.volume = 1000000+cnt*10000;
	q.trend = 'U';
	if(!strcmp(*tick, "XYZ")){
		q.prof=&prof;
	}else {
		q.prof=0;
	}

	cnt++;

	return &q;
}

int *trade_2_svc(struct stockOrder*order) {
	printf("Got tick =%s, my thread id=%d\n", order->tick, GetCurrentThreadId());
	qty = order->quantity/2;
	return &qty;
}

static pRec pr=0;

struct quoteRec** ping_2_svc() {

	q.company_name = cmp_name; /*must give space */
	sprintf(q.company_name, "%s Inc", "YYY");
	q.bid = 100 +cnt*0.01;
	q.ask = 601+cnt*0.01;
	q.volume = 1000000+cnt*10000;
	q.trend = 'D';
    q.prof=0;
	pr=0;

	cnt++;
	printf("cnt=%d\n", cnt);
	if((cnt%3)==0) {
		pr = &q;
	}else {
		printf("Return null\n");
	}

	return &pr;
}


