/* License: Netbula RPC, Licensed to Gateway Tech, 1 user dev license. */
#include <rpc/types.h>

/*redefine below to use different timeout*/
#ifndef PWRPC_TIMEOUT
#define PWRPC_TIMEOUT PWRPC_TIMEOUT_DEF
#endif

#ifndef _RPCAPI
#define _RPCAPI  /* wanna change this? */
#endif

#define PWRPC_MT_ON_CALL PWRPC_ONC_MT
#define MAXLEN 256

struct quoteRec {
	char *company_name;
	double bid;
	double ask;
	u_long volume;
	char trend;
};
typedef struct quoteRec quoteRec;
bool_t xdr_quoteRec();


struct stockOrder {
	char tick[8];
	char trade_type;
	u_long quantity;
};
typedef struct stockOrder stockOrder;
bool_t xdr_stockOrder();


#define quote ((u_long)22222)
#define quote_v1 ((u_long)2)
#define get_quote ((u_long)1)
_RPCAPI extern quoteRec *get_quote_2();
#define trade ((u_long)2)
_RPCAPI extern int *trade_2();

